> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/upload-files-with-the-geopard-api.md).

# GeoPard API ile Dosya Yükleme

{% hint style="success" %}
6 MB üzerindeki dosyalar için önerilen yaklaşım [önceden imzalanmış URL akışıdır](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

GeoPard API, daha sonra işlenip analiz edilmek üzere toprak/verim/uygulama/sınır veri kümelerini içeren zip arşivlerinin yüklenmesine olanak tanır.

{% hint style="danger" %}
AWS'deki bir sınırlama nedeniyle bu REST uç noktası üzerinden yükleyebileceğiniz dosyaların en büyük boyutu 6 MB'tır.
{% endhint %}

6 MB üzerindeki dosyaların yükleme adımları şurada açıklanmıştır: [Zip dosyalarını yükleme (6 MB üzeri)](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Toprak/verim/uygulama veri kümesi başarıyla yüklendikten hemen sonra GeoPard motoru, bu veri kümesini tanımlı çiftlikte bulunan ilgili tarlalarla ilişkilendirir.

Sınır başarıyla yüklendikten hemen sonra GeoPard motoru, sınırın işlenmesini başlatır.

Yanıt, işlem durumunu izlemek için kullanabileceğiniz bir `<uuid>` içerir.

#### İstek örneği:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametreler:

1. `<type>` - yüklenen veri kümesinin türü. Şunlardan biri olmalıdır: `yield` VEYA `soil` VEYA `applied` VEYA `boundary`.
2. `<farm_uuid>` - dosyanın yükleneceği çiftliğin `uuid` değeri (İsteğe bağlı).
3. `<token>` - GeoPard erişim belirteci.
4. `@path/to/file.zip` - yüklenen dosyanın yolu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
